Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.exceptions
Class InvalidPdfException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  com.lowagie.text.exceptions.InvalidPdfException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  UnsupportedPdfException

    public class InvalidPdfException

extends IOException

Typed exception used when opening an existing PDF document. Gets thrown when the document isn't a valid PDF document.

Since:
  2.1.5
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` a serial version UID

Constructor Summary
`InvalidPdfException(String message)` Creates an instance of a NoPdfException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  a serial version UID

  See Also:
    Constant Field Values

Constructor Detail

### InvalidPdfException

    public InvalidPdfException(String message)

  Creates an instance of a NoPdfException.

  Parameters:
    `message` - the reason why the document isn't a PDF document according to iText.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD